View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000619aMuleMiscpublic2005-10-26 19:202005-10-29 11:37
Assigned ToKry 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000619: Latest CVS does not compile
DescriptionI wrestled with this for a considerable time, but have not found a work around. Attached is the compilation output.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Fileslog file icon 3358-amule-cvs-2.log [^] (370,683 bytes) 2005-10-26 19:20
log file icon 3357-amule-cvs-2.log [^] (594,690 bytes) 2005-10-26 19:29
log file icon 3364-amule-cvs-2.log [^] (370,661 bytes) 2005-10-28 20:58

- Relationships

-  Notes
Ma3oxuct (reporter)
2005-10-26 19:24

Here is another output log, without the --disable-kad-compile option. I'm not that I will help.

Thanks in advance for your help.

Also here is my system info:
Portage 2.0.53_rc6 (default-linux/x86/2005.1, gcc-3.4.4, glibc-2.3.5-r2, 2.6.13-gentoo-r4 i686)
System uname: 2.6.13-gentoo-r4 i686 AMD Athlon(tm) 64 Processor 3000+
Gentoo Base System version 1.12.0_pre9
ccache version 2.4 [enabled]
dev-lang/python: 2.3.5, 2.4.2
sys-apps/sandbox: 1.2.13
sys-devel/autoconf: 2.13, 2.59-r7
sys-devel/automake: 1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils: 2.16.1
sys-devel/libtool: 1.5.20
virtual/os-headers: 2.6.11-r2
CFLAGS="-march=athlon-xp -mtune=athlon-xp -pipe -O3 -fweb -frename-registers -fforce-addr -momit-leaf-frame-pointer -fomit-frame-pointer -ftracer"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -mtune=athlon-xp -pipe -O3 -fweb -frename-registers -fforce-addr -momit-leaf-frame-pointer -fomit-frame-pointer -ftracer -fvisibility-inlines-hidden"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict userpriv usersandbox"
SYNC="rsync://" [^]
USE="x86 X a52 aac aalib alsa amuled apache2 apm arts avi bash-completion berkdb bitmap-fonts cdr crypt cups curl dvd dvdr dvdread eds emboss encode esd fam fame ffmpeg flac foomaticdb fortran gdbm gif gnome gpm gstreamer gtk gtk2 imagemagick imlib ipv6 java jpeg jpeg2k kde ldap libg++ libwww mad matroska mikmod mjpeg mng motif mozilla mp3 mpeg ncurses nls nptl ogg oggvorbis openal opengl oss pam pdflib perl png python qt quicktime rar readline remote remote-gui sdl spell sse sse2 ssl svga tcltk tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode vorbis win32codecs wxwindows xml2 xmms xv xvid zlib userland_GNU kernel_linux elibc_glibc"
Ma3oxuct (reporter)
2005-10-28 20:57

Still the same issue on the amule build of the 28th. Log attached.

I will attempt to install it without portage.
Xaignar (manager)
2005-10-28 22:16

You are trying to build aMule without kad, this is currently not possible, and we plan to simply remove that option, so for now I'd suggest that you add '--enable-kad-compile' to your configure options.
Ma3oxuct (reporter)
2005-10-29 07:29

Yes, that did work. Thanks :). Should we keep this bug open or closed?
Xaignar (manager)
2005-10-29 11:37

Kry has nuked the --enable-kad-compile option, so aMule will now always compile with kad-support enabled, thus resolving this bug. ;)

- Issue History
Date Modified Username Field Change
2005-10-26 19:20 Ma3oxuct New Issue
2005-10-26 19:20 Ma3oxuct File Added: 3358-amule-cvs-2.log
2005-10-26 19:24 Ma3oxuct Note Added: 0001365
2005-10-26 19:29 Ma3oxuct File Added: 3357-amule-cvs-2.log
2005-10-28 20:57 Ma3oxuct Note Added: 0001367
2005-10-28 20:58 Ma3oxuct File Added: 3364-amule-cvs-2.log
2005-10-28 22:16 Xaignar Note Added: 0001370
2005-10-28 22:16 Xaignar Status new => acknowledged
2005-10-28 22:16 Xaignar Status acknowledged => assigned
2005-10-28 22:16 Xaignar Assigned To => Kry
2005-10-29 07:29 Ma3oxuct Note Added: 0001372
2005-10-29 11:37 Xaignar Status assigned => resolved
2005-10-29 11:37 Xaignar Fixed in Version => CVS
2005-10-29 11:37 Xaignar Resolution open => fixed
2005-10-29 11:37 Xaignar Note Added: 0001373

Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker